local orig_play_shaker = Hooks:GetFunction(PlayerCamera,"play_shaker")
Hooks:OverrideFunction(PlayerCamera,"play_shaker",function(self,effect,amplitude,frequency,offset,...)
	--Print("shaker:",effect)
	
	if NSSU.settings.shaker_disable_all then 
		return
	elseif effect and NSSU.shaker_blacklist[effect] then
		return
	end
	
	return orig_play_shaker(self,effect,amplitude,frequency,offset,...)
end)

local orig_set_shaker_param = Hooks:GetFunction(PlayerCamera,"set_shaker_parameter")
Hooks:OverrideFunction(PlayerCamera,"set_shaker_parameter",function(self,effect, parameter, value,...)
	--Print("shaker param:",effect,parameter,value)
	
	if NSSU.settings.shaker_disable_all or NSSU.shaker_blacklist[effect] then
		local effect_override = NSSU.shaker_parameter_overrides[effect]
		if effect_override then 
			local param_override = effect_override[parameter] 
			if param_override ~= nil then 
				value = param_override
			end
		end
	end
	
	return orig_set_shaker_param(self,effect,parameter,value,...)
end)